# docker build -t harbor.xunhong168.com/changeable/changeable-web:latest --file ./Dockerfile --build-arg BUILD_DIR=dist .
# 使用官方的Nginx镜像作为基础镜像
FROM nginx:alpine

# 设置工作目录为Nginx的html目录
WORKDIR /usr/share/nginx/html

ARG MODULE

# 将本地构建好的前端项目文件复制到容器的html目录下
COPY ${MODULE}/dist .

# 启动Nginx服务
CMD ["nginx", "-g", "daemon off;"]
